## ocaml-vorbis 0.1.1

=== Makefile ===
# OCaml-Vorbis
#
# Copyright (c) 2003 by the Savonet team
#
# $Id: Makefile,v 1.10 2004/06/15 18:15:03 smimram Exp $

all:
	make -C src

opt byte install uninstall:
	make -C src $@

doc:
	make -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/html doc
	rmdir src/doc

clean:
	-make -C src clean
	-make -C examples clean

distclean: clean
	rm -rf autom4te.cache config.log config.status src/META src/Makefile
	rm -rf doc
	-make -C examples distclean

.PHONY: doc

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003 by the Savonet team.
#
# $Id: Makefile,v 1.3 2004/01/15 17:06:31 smimram Exp $

all: ogg2wav

clean: clean-ogg2wav

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache
	rm -f Makefile.ogg2wav

ogg2wav:
	make -f Makefile.ogg2wav

clean-ogg2wav:
	make -f Makefile.ogg2wav clean

.PHONY: ogg2wav clean-ogg2wav

## ocaml-vorbis 0.2.0

=== Makefile ===
# OCaml-Vorbis
#
# Copyright (c) 2003 by the Savonet team
#
# $Id: Makefile,v 1.14 2005/03/01 02:43:46 jcristau Exp $

PROGNAME = ocaml-vorbis
DISTFILES = aclocal.m4 bootstrap CHANGES configure configure.ac \
            COPYING Makefile README \
            src/*Makefile* src/META.in src/*.ml src/*.mli src/*.c src/*.h \
            examples/configure* examples/*Makefile* examples/*.ml \
            doc/html

all:

all opt byte install uninstall update:
	make -C src $@

doc:
	make -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/vorbis/html doc
	rm -rf src/doc

clean:
	-make -C src clean
	-make -C examples clean

distclean: clean
	rm -rf autom4te.cache config.log config.status src/META src/Makefile
	rm -rf doc
	-make -C examples distclean

dist: doc
	VERSION="$(shell grep 'AC_INIT' configure.ac)"; \
		VERSION=`echo "$$VERSION" | sed -e 's/AC_INIT([^,]*, \([^,]*\), .*)/\1/'`; \
		mkdir $(PROGNAME)-$$VERSION; \
		cp -r --parents $(DISTFILES) $(PROGNAME)-$$VERSION; \
		tar zcvf $(PROGNAME)-$$VERSION.tar.gz $(PROGNAME)-$$VERSION; \
		rm -rf $(PROGNAME)-$$VERSION

.PHONY: doc all byte opt install uninstall update clean distclean dist

=== src/Makefile ===
# Copyright (c) 2003 by the Savonet team
#
# libvorbis bindings for OCaml.
#
# by Samuel Mimram

# $Id: Makefile.in,v 1.21 2005/03/10 18:12:03 smimram Exp $


OCAMLMAKEFILE = OCamlMakefile

OCAMLFIND = /usr/bin/ocamlfind
OCAMLFIND_LDCONF = 
OCAMLC = /usr/bin/ocamlc.opt
OCAMLOPT = /usr/bin/ocamlopt.opt
BEST = byte opt
OCAMLMKTOP = /usr/bin/ocamlmktop
OCAMLCP = /usr/bin/ocamlcp
OCAMLDEP = /usr/bin/ocamldep
OCAMLLEX = /usr/bin/ocamllex
OCAMLYACC = /usr/bin/ocamlyacc
OCAMLDOC = /usr/bin/ocamldoc
LATEX = /usr/bin/latex
DVIPS = /usr/bin/dvips
PS2PDF = /usr/bin/ps2pdf
OCAMLLIBPATH = /usr/lib/ocaml
CC = gcc
CFLAGS = -g -O2
CPPFLAGS =  -I/usr/include -I/usr/include

SOURCES = charset.c utf8.c vorbis_stubs.c vorbis.mli vorbis.ml
RES_CLIB_SUF = _stubs
RESULT = vorbis
LIBINSTALL_FILES = $(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so)
LIBS = unix str
ACLIBS =  -lvorbis -lm -logg -lvorbisenc -lvorbisfile
CLIBS = $(ACLIBS:-l%=%)

all: $(BEST)

byte: byte-code-library
opt: native-code-library
debug: debug-code-library

install: libinstall

uninstall: libuninstall

update: uninstall install

-include $(OCAMLMAKEFILE)

## ocaml-vorbis 0.2.1

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003 by the Savonet team.
#
# $Id: Makefile,v 1.5 2005/03/10 17:06:43 smimram Exp $

all clean:
	make -f Makefile.ogg2wav $@
	make -f Makefile.wav2ogg $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache
	rm -f Makefile.ogg2wav

## ocaml-vorbis 0.2.2

=== Makefile ===
--- 
+++ 
@@ -2,12 +2,13 @@
 #
 # Copyright (c) 2003 by the Savonet team
 #
-# $Id: Makefile,v 1.14 2005/03/01 02:43:46 jcristau Exp $
+# $Id: Makefile 1945 2005-03-01 02:43:46Z jcristau $
 
 PROGNAME = ocaml-vorbis
 DISTFILES = aclocal.m4 bootstrap CHANGES configure configure.ac \
             COPYING Makefile README \
-            src/*Makefile* src/META.in src/*.ml src/*.mli src/*.c src/*.h \
+            src/OCamlMakefile* src/Makefile.in \
+            src/META.in src/*.ml src/*.mli src/*.c src/*.h \
             examples/configure* examples/*Makefile* examples/*.ml \
             doc/html

## ocaml-vorbis 0.3.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright (c) 2003 by the Savonet team
 #
-# $Id: Makefile 1945 2005-03-01 02:43:46Z jcristau $
+# $Id: Makefile 2907 2007-03-02 13:32:11Z metamorph68 $
 
 PROGNAME = ocaml-vorbis
 DISTFILES = aclocal.m4 bootstrap CHANGES configure configure.ac \

=== examples/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2003 by the Savonet team.
 #
-# $Id: Makefile,v 1.5 2005/03/10 17:06:43 smimram Exp $
+# $Id: Makefile 2907 2007-03-02 13:32:11Z metamorph68 $
 
 all clean:
 	make -f Makefile.ogg2wav $@

## ocaml-vorbis 0.4.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright (c) 2003 by the Savonet team
 #
-# $Id: Makefile 2907 2007-03-02 13:32:11Z metamorph68 $
+# $Id: Makefile 2593 2006-07-07 08:03:09Z dbaelde $
 
 PROGNAME = ocaml-vorbis
 DISTFILES = aclocal.m4 bootstrap CHANGES configure configure.ac \

=== examples/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2003 by the Savonet team.
 #
-# $Id: Makefile 2907 2007-03-02 13:32:11Z metamorph68 $
+# $Id: Makefile 1986 2005-03-10 17:06:44Z smimram $
 
 all clean:
 	make -f Makefile.ogg2wav $@

## ocaml-vorbis 0.4.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright (c) 2003 by the Savonet team
 #
-# $Id: Makefile 2593 2006-07-07 08:03:09Z dbaelde $
+# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $
 
 PROGNAME = ocaml-vorbis
 DISTFILES = aclocal.m4 bootstrap CHANGES configure configure.ac \
@@ -15,23 +15,23 @@
 all:
 
 all opt byte install uninstall update:
-	make -C src $@
+	$(MAKE) -C src $@
 
 doc:
-	make -C src htdoc
+	$(MAKE) -C src htdoc
 	mkdir -p doc
 	rm -rf doc/html
 	mv src/doc/vorbis/html doc
 	rm -rf src/doc
 
 clean:
-	-make -C src clean
-	-make -C examples clean
+	-$(MAKE) -C src clean
+	-$(MAKE) -C examples clean
 
 distclean: clean
 	rm -rf autom4te.cache config.log config.status src/META src/Makefile
 	rm -rf doc
-	-make -C examples distclean
+	-$(MAKE) -C examples distclean
 
 dist: doc
 	VERSION="$(shell grep 'AC_INIT' configure.ac)"; \

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003 by the Savonet team.
#
# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $

all clean:
	$(MAKE) -f Makefile.ogg2wav $@
	$(MAKE) -f Makefile.wav2ogg $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache
	rm -f Makefile.ogg2wav

## ocaml-vorbis 0.5.0

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003 by the Savonet team.
#
# $Id: Makefile 5949 2008-10-02 13:00:45Z metamorph68 $

all clean:
	$(MAKE) -f Makefile.ogg2wav $@
	$(MAKE) -f Makefile.wav2ogg $@
	$(MAKE) -f Makefile.stream2wav $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache
	rm -f Makefile.wav2ogg Makefile.stream2wav

## ocaml-vorbis 0.5.1

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,14 @@
 #
 # Copyright (c) 2003 by the Savonet team
 #
-# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $
+# $Id: Makefile 5949 2008-10-02 13:00:45Z metamorph68 $
 
 PROGNAME = ocaml-vorbis
 DISTFILES = aclocal.m4 bootstrap CHANGES configure configure.ac \
             COPYING Makefile README \
             src/OCamlMakefile* src/Makefile.in \
             src/META.in src/*.ml src/*.mli src/*.c src/*.h \
-            examples/configure* examples/*Makefile* examples/*.ml \
-            doc/html
+            examples/configure* examples/*Makefile* examples/*.ml 
 
 all:
 
@@ -23,6 +22,9 @@
 	rm -rf doc/html
 	mv src/doc/vorbis/html doc
 	rm -rf src/doc
+
+examples:
+	$(MAKE) -C examples
 
 clean:
 	-$(MAKE) -C src clean
@@ -41,4 +43,4 @@
 		tar zcvf $(PROGNAME)-$$VERSION.tar.gz $(PROGNAME)-$$VERSION; \
 		rm -rf $(PROGNAME)-$$VERSION
 
-.PHONY: doc all byte opt install uninstall update clean distclean dist
+.PHONY: doc all byte opt install uninstall update clean distclean dist examples

## ocaml-vorbis 0.6.0

=== Makefile ===
--- 
+++ 
@@ -2,14 +2,14 @@
 #
 # Copyright (c) 2003 by the Savonet team
 #
-# $Id: Makefile 5949 2008-10-02 13:00:45Z metamorph68 $
+# $Id$
 
 PROGNAME = ocaml-vorbis
 DISTFILES = aclocal.m4 bootstrap CHANGES configure configure.ac \
-            COPYING Makefile README \
+            COPYING Makefile README m4/*.m4 \
             src/OCamlMakefile* src/Makefile.in \
-            src/META.in src/*.ml src/*.mli src/*.c src/*.h \
-            examples/configure* examples/*Makefile* examples/*.ml 
+            src/META.in src/*.ml src/*.mli src/*.c \
+            examples/*Makefile* examples/*.ml 
 
 all:

=== debian/changelog ===
ocaml-vorbis (0.6.0-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:35:21 -0600

ocaml-vorbis (0.6.0-1) unstable; urgency=low

  * New upstream release. 
  * Bumped standards version to 3.9.2
  * Switched to 3.0 (quilt) format.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 05 Jul 2011 09:13:20 -0500

ocaml-vorbis (0.5.1-3) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:46:18 -0600

ocaml-vorbis (0.5.1-2) experimental; urgency=low

  * Rebuild against new ocaml-ogg in experimental.
  * Bumped standards version to 3.9.1

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 07 Sep 2010 18:47:02 -0500

ocaml-vorbis (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.3
  * Changed section to ocaml
  * Use new automatic dependency system.
  * Enabled debugging.
  * Fixed Vcs-* fields. 
  * Switch to ocaml.mk
  * Versioned license in debian/copyright

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Oct 2009 17:07:30 -0500

ocaml-vorbis (0.5.0-1) unstable; urgency=low

  * New Upstream Version.
  * Switch packaging to git.
  * Use dh-ocaml's predefined variables.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Mon, 23 Feb 2009 14:14:09 +0100

ocaml-vorbis (0.4.1-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * New upstream release, now install .cmx file
  * Changed maintainer to Debian OCaml Maintainers

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 May 2008 21:31:44 +0200

ocaml-vorbis (0.4.0-3) unstable; urgency=low

  * Changed maintainers to liquidsoap packaging team
  * Updated standards to 3.7.3 (no changes)
  * Added Homepage: to description
  * Updated copyright file
  * Removed unused dpatch

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Dec 2007 02:19:28 +0100

ocaml-vorbis (0.4.0-2) unstable; urgency=low

  * Upload to unstable.
  * Added a dependency from libvorbis-ocaml-dev to libogg-ocaml-dev.

 -- Samuel Mimram <smimram@debian.org>  Sat, 17 Nov 2007 17:39:35 +0000

ocaml-vorbis (0.4.0-1) experimental; urgency=low

  * New upstream release.
  * Removed link.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Mon, 12 Nov 2007 23:08:39 +0000

ocaml-vorbis (0.3.1-3) unstable; urgency=low

  * Corrected link.dpatch, closes: #442961.

 -- Samuel Mimram <smimram@debian.org>  Tue, 18 Sep 2007 21:54:19 +0000

ocaml-vorbis (0.3.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * Using dpatch to handle patches.
  * Added link.dpatch to correctly link shared library, closes: #433055.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 13:35:42 +0200

ocaml-vorbis (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri, 22 Jun 2007 19:41:44 +0200

ocaml-vorbis (0.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:57:23 +0200

ocaml-vorbis (0.3.0-1) experimental; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Mar 2007 18:27:53 +0100

ocaml-vorbis (0.2.3-2) unstable; urgency=low

  * Added a missing build-dependency on pkg-config.

 -- Samuel Mimram <smimram@debian.org>  Mon, 20 Nov 2006 23:06:55 +0000

ocaml-vorbis (0.2.3-1) unstable; urgency=low

  * Messed up the last upload: this package shouldn't be native.

 -- Samuel Mimram <smimram@debian.org>  Mon, 20 Nov 2006 20:57:40 +0100

ocaml-vorbis (0.2.3) unstable; urgency=low

  * New upstream release.
  * Made the package binNMU-safe.

 -- Samuel Mimram <smimram@debian.org>  Mon, 20 Nov 2006 20:50:46 +0100

ocaml-vorbis (0.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri,  7 Jul 2006 08:42:54 +0000

ocaml-vorbis (0.2.1-3) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:40:15 +0000

ocaml-vorbis (0.2.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.
  * Correctly handling OCaml's ABI stuff in package.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 18:14:07 +0100

ocaml-vorbis (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Updated to OCaml 3.09.0.
  * No longer hardcoding OCaml's ABI in debian/* files.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Tue, 15 Nov 2005 22:09:58 +0100

ocaml-vorbis (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Thu, 21 Apr 2005 20:36:16 +0200

ocaml-vorbis (0.1.1-3) unstable; urgency=medium

  * Rebuilding with OCaml 3.08.3.
  * Updated my email.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 Mar 2005 17:10:53 +0100

ocaml-vorbis (0.1.1-2) unstable; urgency=low

  * Added -fPIC to the CFLAGS.
  * Added a watch file.
  * The -dev does not need to depend on ocaml-findlib.
  * Removed dependency to libogg-dev which was redundant.
  * Test for a native compiler is handled by the configure.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Sun,  8 Aug 2004 18:34:16 +0200

ocaml-vorbis (0.1.1-1) unstable; urgency=low

  * Initial release, closes: #256933.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Wed, 30 Jun 2004 00:32:02 +0200

=== debian/control ===
Source: ocaml-vorbis
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: 
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 pkg-config, 
 libvorbis-dev, 
 ocaml-findlib (>= 1.2.4), 
 libogg-ocaml-dev (>= 0.4.2)
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-vorbis.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-vorbis.git

Package: libvorbis-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for vorbis library
 This OCaml library interfaces the vorbis C library. It can be used to
 decode from or encode to the Ogg Vorbis compressed audio format as well
 as to get informations about an Ogg Vorbis file.
 .
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed
 and variable bitrates from 16 to 128 kbps/channel.
 .
 This package contains only the shared runtime stub libraries.

Package: libvorbis-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends},
         libvorbis-dev, libvorbis-ocaml (= ${binary:Version}), libogg-ocaml-dev
Provides: ${ocaml:Provides}
Description: OCaml bindings for the vorbis library
 This OCaml library interfaces the vorbis C library. It can be used to
 decode from or encode to the Ogg Vorbis compressed audio format as well
 as to get informations about an Ogg Vorbis file.
 .
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed
 and variable bitrates from 16 to 128 kbps/channel.
 .
 This package contains all the development stuff you need to use ocaml-vorbis
 in your programs.

## ocaml-vorbis 0.6.1

=== debian/changelog ===
ocaml-vorbis (0.6.1-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 18:15:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: 
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ autotools-dev,
+ cdbs (>= 0.4.72~),
+ debhelper,
  dh-buildinfo,
  ocaml-nox,
  dh-ocaml (>= 0.9), 
  pkg-config, 
  libvorbis-dev, 
  ocaml-findlib (>= 1.2.4), 
- libogg-ocaml-dev (>= 0.4.2)
+ libogg-ocaml-dev (>= 0.4.3)
 Standards-Version: 3.9.2
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-vorbis.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libvorbis-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf src/Makefile src/META doc config.log config.status

## ocaml-vorbis 0.7.0

=== debian/changelog ===
ocaml-vorbis (0.7.0-1build1) cosmic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jun 2018 12:18:07 +0200

ocaml-vorbis (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/watch: update watch file url
  * Bump compat to 10
  * Bump standards version to 4.1.4

 -- Kyle Robbertze <krobbertze@gmail.com>  Tue, 08 May 2018 22:20:36 +0200

ocaml-vorbis (0.6.1-3) unstable; urgency=low

  * Upload to unstable.
  * Force build-dep on ocaml-ogg >= 0.4.5

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:31:06 -0500

ocaml-vorbis (0.6.1-2) experimental; urgency=low

  * Upload to experimental to rebuild against
    ocaml-ogg 0.4.4.
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:12:22 -0500

=== debian/control ===
Source: ocaml-vorbis
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
           Samuel Mimram <smimram@debian.org>,
           Romain Beauxis <toots@rastageeks.org>
Build-Depends:
 cdbs (>= 0.4.72~),
 debhelper (>= 10),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9),
 pkg-config,
 libvorbis-dev,
 ocaml-findlib (>= 1.2.4),
 libogg-ocaml-dev (>= 0.4.5)
Standards-Version: 4.1.4
Homepage: http://savonet.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-vorbis
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-vorbis

Package: libvorbis-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for vorbis library
 This OCaml library interfaces the vorbis C library. It can be used to
 decode from or encode to the Ogg Vorbis compressed audio format as well
 as to get information about an Ogg Vorbis file.
 .
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed
 and variable bitrates from 16 to 128 kbps/channel.
 .
 This package contains only the shared runtime stub libraries.

Package: libvorbis-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends},
         libvorbis-dev, libvorbis-ocaml (= ${binary:Version}), libogg-ocaml-dev
Provides: ${ocaml:Provides}
Description: OCaml bindings for the vorbis library
 This OCaml library interfaces the vorbis C library. It can be used to
 decode from or encode to the Ogg Vorbis compressed audio format as well
 as to get information about an Ogg Vorbis file.
 .
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed
 and variable bitrates from 16 to 128 kbps/channel.
 .
 This package contains all the development stuff you need to use ocaml-vorbis
 in your programs.

## ocaml-vorbis 0.7.1

=== examples/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2003 by the Savonet team.
 #
-# $Id: Makefile 5949 2008-10-02 13:00:45Z metamorph68 $
+# $Id$
 
 all clean:
 	$(MAKE) -f Makefile.ogg2wav $@

=== debian/changelog ===
ocaml-vorbis (0.7.1-1) unstable; urgency=low

  * New upstream version 0.7.1
  * Make copyright machine readable
  * Bump Standards-Version (no change)

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 03 Sep 2018 10:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
  libvorbis-dev,
  ocaml-findlib (>= 1.2.4),
  libogg-ocaml-dev (>= 0.4.5)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://savonet.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-vorbis
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-vorbis.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-vorbis
 
 Package: libvorbis-ocaml

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/ocaml.mk
-
-# In order to regenerate 'debian/control' :
-#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
-# Then check manually if everything's ok
 
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
 DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\/// \
  https://github.com/savonet/ocaml-vorbis/releases .*download/\d\S+/ocaml-vorbis-(\d\S+).tar.gz

## ocaml-vorbis 0.8.0

=== debian/changelog ===
ocaml-vorbis (0.8.0-2) unstable; urgency=low

  * d/watch: look for new upstream releases via git tags
  * d/control: depend on shlibs

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 16:41:41 +0200

ocaml-vorbis (0.8.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Remove Samuel and Romain from Uploaders
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 20:16:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,25 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
-           Samuel Mimram <smimram@debian.org>,
-           Romain Beauxis <toots@rastageeks.org>
-Build-Depends:
- cdbs (>= 0.4.72~),
- debhelper (>= 10),
- dh-buildinfo,
- ocaml-nox,
- dh-ocaml (>= 0.9),
- pkg-config,
- libvorbis-dev,
- ocaml-findlib (>= 1.2.4),
- libogg-ocaml-dev (>= 0.4.5)
-Standards-Version: 4.2.1
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-buildinfo,
+               dh-ocaml,
+               libdune-ocaml-dev,
+               libogg-ocaml-dev (>= 0.7.0),
+               libvorbis-dev,
+               ocaml-dune,
+               ocaml-nox,
+               pkg-config
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-vorbis.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-vorbis
 
 Package: libvorbis-ocaml
 Architecture: any
-Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml bindings for vorbis library
  This OCaml library interfaces the vorbis C library. It can be used to
@@ -37,8 +35,12 @@
 
 Package: libvorbis-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, ${misc:Depends},
-         libvorbis-dev, libvorbis-ocaml (= ${binary:Version}), libogg-ocaml-dev
+Depends: libogg-ocaml-dev,
+         libvorbis-dev,
+         libvorbis-ocaml (= ${binary:Version}),
+         ${misc:Depends},
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml bindings for the vorbis library
  This OCaml library interfaces the vorbis C library. It can be used to

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p vorbis

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1.tar.gz%" \
    https://github.com/savonet/ocaml-vorbis/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
